Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

463 lines (462 sloc) 15.188 kb
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>rubygems</groupId>
<artifactId>jbundler</artifactId>
<version>0.3.1</version>
<name><![CDATA[bundler support for maven or/and maven support for bundler]]></name>
<packaging>gem</packaging>
<description><![CDATA[using embedded maven to add jar support to bundler and add bundler like handling of version ranges to maven
]]></description>
<developers>
<developer>
<id>m_dot_kristian_at_web_dot_de</id>
<name>Kristian Meier</name>
<email>m.kristian@web.de</email>
</developer>
</developers>
<licenses>
<license>
<name>MIT-LICENSE</name>
<url>./MIT-LICENSE</url>
<distribution>repo</distribution>
</license>
</licenses>
<repositories>
<repository>
<id>rubygems-releases</id>
<url>http://rubygems-proxy.torquebox.org/releases</url>
</repository>
</repositories>
<pluginRepositories>
<pluginRepository>
<id>rubygems-releases</id>
<url>http://rubygems-proxy.torquebox.org/releases</url>
</pluginRepository>
</pluginRepositories>
<dependencies>
<dependency>
<groupId>rubygems</groupId>
<artifactId>ruby-maven</artifactId>
<type>gem</type>
<scope>compile</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>maven-tools</artifactId>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>thor</artifactId>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>rake</artifactId>
<type>gem</type>
<scope>test</scope>
</dependency>
<dependency>
<groupId>org.sonatype.aether</groupId>
<artifactId>aether-api</artifactId>
<version>1.13</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>org.sonatype.aether</groupId>
<artifactId>aether-util</artifactId>
<version>1.13</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>org.sonatype.aether</groupId>
<artifactId>aether-impl</artifactId>
<version>1.13</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>org.sonatype.aether</groupId>
<artifactId>aether-connector-file</artifactId>
<version>1.13</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>org.sonatype.aether</groupId>
<artifactId>aether-connector-asynchttpclient</artifactId>
<version>1.13</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>org.sonatype.aether</groupId>
<artifactId>aether-connector-wagon</artifactId>
<version>1.13</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>org.apache.maven</groupId>
<artifactId>maven-aether-provider</artifactId>
<version>3.0.4</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>org.apache.maven.wagon</groupId>
<artifactId>wagon-file</artifactId>
<version>2.2</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>org.apache.maven.wagon</groupId>
<artifactId>wagon-http</artifactId>
<version>2.2</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>bundler</artifactId>
<type>gem</type>
</dependency>
</dependencies>
<dependencyManagement>
<dependencies>
<dependency>
<groupId>rubygems</groupId>
<artifactId>jbundler</artifactId>
<version>0.2.0</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>ruby-maven</artifactId>
<version>3.0.4.0.29.0</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>maven-tools</artifactId>
<version>0.29.3</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>thor</artifactId>
<version>0.14.6</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>builder</artifactId>
<version>3.0.0</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>cucumber</artifactId>
<version>1.1.9</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>diff-lcs</artifactId>
<version>1.1.3</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>gherkin</artifactId>
<version>2.9.3</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>json</artifactId>
<version>1.7.3</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>term-ansicolor</artifactId>
<version>1.0.7</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>minitest</artifactId>
<version>2.10.1</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>rake</artifactId>
<version>0.9.2.2</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>bundler</artifactId>
<version>1.1.4</version>
<type>gem</type>
</dependency>
</dependencies>
</dependencyManagement>
<properties>
<gem.home>${project.build.directory}/rubygems</gem.home>
<gem.path>${project.build.directory}/rubygems</gem.path>
<jruby.18and19>true</jruby.18and19>
<jruby.plugins.version>0.29.0</jruby.plugins.version>
<jruby.versions>1.5.6,1.6.7.2,1.7.0.preview2</jruby.versions>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
</properties>
<build>
<plugins>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>gem-maven-plugin</artifactId>
<version>${jruby.plugins.version}</version>
<extensions>true</extensions>
<configuration>
<files>lib/jbundler.rb,lib/jbundler.rb~,lib/jbundler,lib/jbundler.jar,lib/jbundler/maven_gemify3.rb~,lib/jbundler/pom.rb,lib/jbundler/pom.rb~,lib/jbundler/mavenfile.rb~,lib/jbundler/maven_version.rb~,lib/jbundler/classpath_file.rb,lib/jbundler/aether.rb,lib/jbundler/gemfile_lock.rb~,lib/jbundler/gemfile_lock.rb,lib/jbundler/classpath_file.rb~,lib/jbundler/aether.rb~,lib/jbundler/maven_util.rb~,lib/jbundler/maven.rb~,spec/maven_util_spec.rb~,spec/mavenfile_spec.rb~,spec/pom_spec.rb~,spec/classpath_file_spec.rb~,spec/aether_spec.rb~,spec/classpath_file_spec.rb,spec/setup.rb,spec/pom_spec.rb,spec/aether_spec.rb,spec/setup.rb~,MIT-LICENSE,Build.md,Readme.md,Test.md,Gemfile,Gemfile.lock</files>
<gemspec>jbundler.gemspec</gemspec>
<testFiles>spec/classpath_file_spec.rb,spec/pom_spec.rb,spec/aether_spec.rb</testFiles>
</configuration>
<dependencies>
<dependency>
<groupId>rubygems</groupId>
<artifactId>jruby-openssl-maven</artifactId>
<version>[0,)</version>
<type>gem</type>
</dependency>
</dependencies>
</plugin>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>bundler-maven-plugin</artifactId>
<version>${jruby.plugins.version}</version>
<executions>
<execution>
<goals>
<goal>install</goal>
</goals>
</execution>
</executions>
<dependencies>
<dependency>
<groupId>rubygems</groupId>
<artifactId>minitest</artifactId>
<version>[2.10.0,2.10.99999]</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>cucumber</artifactId>
<version>[1.1.9,1.1.99999]</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>builder</artifactId>
<version>3.0.0</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>diff-lcs</artifactId>
<version>1.1.3</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>gherkin</artifactId>
<version>2.9.3</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>json</artifactId>
<version>1.7.3</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>term-ansicolor</artifactId>
<version>1.0.7</version>
<type>gem</type>
</dependency>
</dependencies>
</plugin>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>minitest-maven-plugin</artifactId>
<version>${jruby.plugins.version}</version>
<executions>
<execution>
<goals>
<goal>spec</goal>
</goals>
</execution>
</executions>
</plugin>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>cucumber-maven-plugin</artifactId>
<version>${jruby.plugins.version}</version>
<executions>
<execution>
<goals>
<goal>test</goal>
</goals>
</execution>
</executions>
</plugin>
<plugin>
<artifactId>maven-jar-plugin</artifactId>
<version>2.4</version>
<executions>
<execution>
<id>in_phase_prepare_package</id>
<phase>prepare-package</phase>
<goals>
<goal>jar</goal>
</goals>
<configuration>
<finalName>${project.artifactId}</finalName>
<outputDirectory>${project.basedir}/lib</outputDirectory>
</configuration>
</execution>
</executions>
</plugin>
</plugins>
<pluginManagement>
<plugins>
<plugin>
<groupId>org.eclipse.m2e</groupId>
<artifactId>lifecycle-mapping</artifactId>
<version>1.0.0</version>
<configuration>
<lifecycleMappingMetadata>
<pluginExecutions>
<pluginExecution>
<action>
<ignore></ignore>
</action>
<pluginExecutionFilter>
<artifactId>bundler-maven-plugin</artifactId>
<goals>
<goal>install</goal>
</goals>
<groupId>de.saumya.mojo</groupId>
<versionRange>[0,)</versionRange>
</pluginExecutionFilter>
</pluginExecution>
<pluginExecution>
<action>
<ignore></ignore>
</action>
<pluginExecutionFilter>
<artifactId>gem-maven-plugin</artifactId>
<goals>
<goal>initialize</goal>
</goals>
<groupId>de.saumya.mojo</groupId>
<versionRange>[0,)</versionRange>
</pluginExecutionFilter>
</pluginExecution>
</pluginExecutions>
</lifecycleMappingMetadata>
</configuration>
</plugin>
</plugins>
</pluginManagement>
</build>
<profiles>
<profile>
<id>test</id>
<activation>
<activeByDefault>true</activeByDefault>
</activation>
<dependencies>
<dependency>
<groupId>rubygems</groupId>
<artifactId>minitest</artifactId>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>cucumber</artifactId>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>builder</artifactId>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>diff-lcs</artifactId>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>gherkin</artifactId>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>json</artifactId>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>term-ansicolor</artifactId>
<type>gem</type>
</dependency>
</dependencies>
</profile>
<profile>
<id>executable</id>
<dependencies>
<dependency>
<groupId>de.saumya.mojo</groupId>
<artifactId>gem-assembly-descriptors</artifactId>
<version>${jruby.plugins.version}</version>
<type>jar</type>
<scope>runtime</scope>
</dependency>
</dependencies>
<build>
<plugins>
<plugin>
<artifactId>maven-assembly-plugin</artifactId>
<version>2.3</version>
<configuration>
<archive>
<manifest>
<mainClass>de.saumya.mojo.assembly.Main</mainClass>
</manifest>
</archive>
<descriptorRefs>
<descriptorRef>jar-with-dependencies-and-gems</descriptorRef>
</descriptorRefs>
</configuration>
<executions>
<execution>
<id>in_phase_package</id>
<phase>package</phase>
<goals>
<goal>assembly</goal>
</goals>
</execution>
</executions>
<dependencies>
<dependency>
<groupId>de.saumya.mojo</groupId>
<artifactId>gem-assembly-descriptors</artifactId>
<version>${jruby.plugins.version}</version>
<type>jar</type>
</dependency>
</dependencies>
</plugin>
</plugins>
</build>
</profile>
</profiles>
</project>
Jump to Line
Something went wrong with that request. Please try again.